Package org.eclipse.birt.report.model.api.validators

# Class DataSetRequiredValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.DataSetRequiredValidator

public class DataSetRequiredValidator extends org.eclipse.birt.report.model.validators.AbstractElementValidator
Validates the data set of some special elements should be provided.

### Rule

The rule is that the `ListingElement.DATA_SET_PROP` should be set on the element itself or its container which is also a listing element; the `ICubeModel.DATA_SET_PROP` should be set in the cube element; the `IReportItemModel.DATA_SET_PROP` should be set in the extended items.

### Applicability

This validator is applied to `ListingElement`, `Cube` and `ExtendedItem`.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`DataSetRequiredValidator()`

## Method Summary

Modifier and Type
Method
Description
`static DataSetRequiredValidator`
`getInstance()`
Returns the singleton validator instance.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates whether the data set of the given listing element is provided.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSetRequiredValidator

public DataSetRequiredValidator()

## Method Details

### getInstance

public static DataSetRequiredValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Validates whether the data set of the given listing element is provided.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the listing element to validate
Returns:
  error list, each of which is the instance of `SemanticException`.